#
# spec file for package python-oslo.log
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-oslo.log
Version:        3.36.0
Release:        lp152.4.3
Summary:        OpenStack log library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/oslo.log
Source0:        https://files.pythonhosted.org/packages/source/o/oslo.log/oslo.log-3.36.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-monotonic >= 0.6
BuildRequires:  python2-oslo.config >= 5.1.0
BuildRequires:  python2-oslo.context >= 2.19.2
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.serialization >= 2.18.0
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-pyinotify >= 0.9.6
BuildRequires:  python2-python-dateutil >= 2.4.2
BuildRequires:  python2-python-subunit >= 1.0.0
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-devel
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-monotonic >= 0.6
BuildRequires:  python3-oslo.config >= 5.1.0
BuildRequires:  python3-oslo.context >= 2.19.2
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.serialization >= 2.18.0
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-pyinotify >= 0.9.6
BuildRequires:  python3-python-dateutil >= 2.4.2
BuildRequires:  python3-python-subunit >= 1.0.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testscenarios >= 0.4
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-debtcollector >= 1.2.0
Requires:       python-monotonic >= 0.6
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.context >= 2.19.2
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.serialization >= 2.18.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pyinotify >= 0.9.6
Requires:       python-python-dateutil >= 2.4.2
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
OpenStack logging configuration library provides standardized configuration
for all openstack projects.It also provides custom formatters, handlers and
support for context specific logging (like resource id's etc).

%package -n python-oslo.log-doc
Summary:        Documentation for OpenStack log library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-oslo.log-doc
Documentation for the oslo.log library.

%prep
%autosetup -p1 -n oslo.log-3.36.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/convert-json

%post
%python_install_alternative convert-json

%postun
%python_uninstall_alternative convert-json

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%license LICENSE
%doc ChangeLog README.rst
%{python_sitelib}/oslo_log
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/convert-json

%files -n python-oslo.log-doc
%license LICENSE
%doc doc/build/html

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Jan 15 2018 cloud-devel@suse.de
- update to version 3.36.0
  - Update the documentation link for doc migration
  - Add release note for use_json option
  - Truncate error_summary if exc_info not explicitly passed
  - Update reno for stable/pike
  - Remove checks for auth_token in JSON-based formatter tests
  - JSONFormatter convert unserializable with repr()
  - Remove setting of version/release from releasenotes
  - Add option to use JSON formatter
  - Imported Translations from Zanata
  - Cleanup test-requirements
  - Allow logging of unhashable exceptions in Python 3
  - Migrate to Zuul v3
  - Zuul: add file extension to playbook path
  - Update the documentation link
  - Updated from global requirements
  - Capture context in its own key for JSON-based formatters
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 3.30.0
  - only show error_summary for warning and error messages
  - Fix bug in log_method_call decorator
  - refactor error summary logic so it can be reused
  - Add additional info like python-systemd does
  - [Fix gate]Update test requirement
  - Update URLs according to document migration
  - Remove deprecated module loggers
  - Fix devstack colors
  - Update reno for stable/ocata
  - Check reStructuredText documents for common style issues.
  - When record.args is None, it should not give an exception.
  - Trivial: Remove testscenarios from test-requirements.txt
  - Remove 'verbose' option (again)
  - clarify release note for error summary handling
  - Optimize the link address
  - Fix some reST field lists in docstrings
  - make handling of error_summary more flexible
  - formatter: skip ImportError when adding error_summary
  - switch from oslosphinx to openstackdocstheme
  - pbr.version.VersionInfo needs package name (oslo.xyz and not oslo_xyz)
  - Add missing variable html_last_updated_fmt
  - do not add error_summary for debug log messages
  - add error_summary support to JSONFormatter
  - add error_summary support for fluentd formatter
  - tail support, log filtering, executable, and splitlines bug fix
  - Documentation for journal usage
  - improve the documentation for log format strings
  - rearrange content to fit the new standard layout
  - Must not go underneath the context object and access __dict__
  - Remove references to Python 3.4
  - add line number information to fluentd formatter
  - add exception summaries to the main log line
  - Oslo i18n 3.15.2 has broken deps
  - fix test description comment
  - Add log.get_loggers method
  - Remove log translations
  - add an extras dependency for systemd
  - Always create OSSysLogHandler
  - skip built-in exceptions when adding error_summary
  - protect systemd class initialization when syslog is not available
  - Use dict arg values for unicode checks in ContextFormatter
  - Fix syslog module usage breaking Windows compatibility
  - Remove support for py34
  - Systemd native journal support
  - Added is_debug_enabled helper
  - Revert "Remove 'verbose' option (again)"
  - Add oslo_messaging to the list of log levels
  - Updated from global requirements
  - Use Sphinx 1.5 warning-is-error
* Mon Mar 27 2017 cloud-devel@suse.de
- update to version 3.20.1:
  - Must not go underneath the context object and access __dict__
  - Update .gitreview for stable/ocata
- Drop 0001-Must-not-go-underneath-the-context-object-and-access.patch
* Mon Feb 13 2017 tbechtold@suse.com
- Add 0001-Must-not-go-underneath-the-context-object-and-access.patch
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 3.20.0:
  - Add a json reformatter command
  - Add support for P and Q release names
  - Update reno for stable/newton
  - Avoid converting to unicode if not needed
  - Imported Translations from Zanata
  - standardize release note page ordering
  - Add Constraints support
  - Implement FluentFormatter
  - modify the home-page info with the developer documentation
  - Show team and repo badges on README
  - Default use_stderr to False
  - Use six.wraps instead of functools
  - Fix typos
  - Fix races in unit tests
  - Enable release notes translation
  - Add a filter to rate limit logs
  - Modify use of assertTrue(A in B)
  - Change assertTrue(isinstance()) by optimal assert
  - Replace method attr in vars() to hasattr
  - Updated from global requirements
* Tue Aug 30 2016 tbechtold@suse.com
- update to version 3.16.0
  * Remove discover from test-requirements
  * Fixes unit tests on Windows
  * Fix parameters of assertEqual are misplaced
  * Updated from global requirements
  * Add Python 3.5 classifier and venv
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 3.12.0
  * log: don't create foo.log
  * Improve olso.log test coverage for edge cases
  * log: Introduce _iter_loggers
  * Replace "LOG.exception(_" with "LOG.exception(_LE"
  * Make available to log encoded strings as arguments
  * Revert "Remove 'verbose' option"
  * Imported Translations from Zanata
  * Convert unicode data to utf-8 before calling syslog.syslog()
  * Provide a normal method for deprecation warnings.
  * Fix regression causing the default log level to become WARNING
  * Use new logging specific method for context info
  * Fix typo: 'Olso' to 'Oslo'
  * Reload log_config_append config on SIGHUP
  * Updated from global requirements
  * Remove 'verbose' option
  * Reduce READ_FREQ and TIMEOUT for watch-file
* Tue May 31 2016 tbechtold@suse.com
- update to 3.7.0:
  * Fix example issue
  * Updated from global requirements
  * Allow reload of 'debug' option
  * Imported Translations from Zanata
  * Remove direct dependency on babel
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Remove outdated comment in ContextFormatter
  * Enable log_method_call to work on static method
  * Explicitly exclude tests from bandit scan
  * Improve test code coverage of _options
  * Update reno for stable/mitaka
  * Unit test cleanup and validation improvements
  * Added +2 release names for versionutils
  * Fix broken links in docs usage page
  * Enable bandit in gate
  * Updated from global requirements
- Use renderspec service to update .spec file
* Mon Mar 14 2016 tbechtold@suse.com
- update to 3.2.0:
  * use log.warning instead of log.warn
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove deprecated use-syslog-rfc-format option
  * Add release note for removed log_format option
  * Updated from global requirements
  * add page for release notes for unreleased versions
  * add a release note about using reno
  * Add reno for release notes management
  * remove pypy from default tox environment list
  * stop making a copy of options discovered by config generator
  * always run coverage report
  * Remove bandit.yaml in favor of defaults
  * Updated from global requirements
  * Fix spell typos
  * set oslo.cache and dogpile to INFO
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Improve Logging docs with inline examples and context example
  * Revert "Pass environment variables of proxy to tox"
  * Clean up removed hacking rule from [flake8] ignore lists
  * Provide a deprecated_reason for use_syslog_rfc_format
  * Remove deprecated log-format option
  * Improve documentataion of Oslo Log Usage
  * Added public method to getting default log levels
  * Updated from global requirements
  * enable isotime for exceptions
  * assertIsNone(val) instead of assertEqual(None,val)
- Adjust Requires
* Mon Jan  4 2016 dmueller@suse.com
- update to 2.2.0:
  * Set keystoneauth default log level to WARN
  * Format record before passing it to syslog
  * Updated from global requirements
  * Updated from global requirements
  * Remove iso8601 dependency
  * Remove duplicated profiles section from bandit.yaml
  * test_logging_error: build a logger at the test level
  * Cleanup all handlers in _setup_logging_from_conf
  * Drop python 2.6 support
  * Add a 'bandit' target to tox.ini
  * Updated from global requirements
  * Log to sys.stderr to avoid "No handlers could be found..."
  * Remove python 2.6 classifier
  * Remove python 2.6 and cleanup tox.ini
  * Refactor Python 2.6 check to use constant
  * The user_identity format flexibility
  * Updated from global requirements
  * Imported Translations from Zanata
  * Updated from global requirements
  * Allow oslo.log to work on non-linux platforms
* Mon Nov 16 2015 bwiedemann@suse.com
- update to 1.12.0:
  * Fix coverage configuration and execution
  * No need for Oslo Incubator Sync
  * Imported Translations from Zanata
  * Fix unintended assignment of "syslog"
  * Make doc title consistent with readme
  * add documentation with example of an external configuration file
  * add auto-generated docs for config options
  * Update option docs for when log config is used
  * Updated from global requirements
  * Add optional 'fixture' dependencies
  * Change ignore-errors to ignore_errors
  * Fix the home-page value in setup.cfg with openstack.org
  * FastWatchedFileHandler class was added
* Wed Sep  9 2015 tbechtold@suse.com
- update to 1.11.0:
  * Fix poor examples of exception logging
  * Updated from global requirements
- Adjust Requires according to requirements.txt
* Thu Aug 27 2015 tbechtold@suse.com
- update to 1.10.0:
  * Fix package name for PublishErrorsHandler
  * Updated from global requirements
  * Fix duplicate-key pylint issue
  * Maintain old oslo logger names
  * Add Mitaka release to versionutils
  * Update single letter release names to full names
  * Provide a way to register versionutils options
  * Imported Translations from Transifex
  * Updated from global requirements
- Adjust Requires according to requirements.txt
* Wed Aug  5 2015 tbechtold@suse.com
- update to 1.8.0:
  * Set verbose to True and deprecate it
  * Define TRACE logging level
  * Imported Translations from Transifex
  * Updated from global requirements
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Tue Jul 28 2015 tbechtold@suse.com
- update to 1.7.0:
  * Imported Translations from Transifex
  * Add more default fancier formatting params
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Do not report deprecations in subclasses
  * Imported Translations from Transifex
  * Updated from global requirements
  * Add tox target to find missing requirements
- update Requires according to requirements.txt
* Sun Jul 19 2015 dmueller@suse.com
- update to 1.6.0:
  * Remove duplication of fatal_deprecations option
  * Imported Translations from Transifex
* Wed Jun 24 2015 tbechtold@suse.com
- update to 1.5.0:
  * Updated from global requirements
  * Switch badges from 'pypip.in' to 'shields.io'
  * Deprecate use-syslog-rfc-format for removal
* Wed Jun 10 2015 tbechtold@suse.com
- update to 1.4.0:
  * just version bump. no other changes
* Tue Jun  2 2015 tbechtold@suse.com
- update to 1.3.0:
  * Do not fail if syslog is not available
  * Use proper deprecation for use-syslog-rfc-format option
  * Replace RFCSysLogHandler by a syslog() based one
  * Make remove_in=0 (no removal) use a better syntax
  * Remove is_compatible from versionutils
  * Add versionutils options to list_opts
  * Add versionutils to API documentation
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Updated from global requirements
  * Updated from global requirements
  * Remove run_cross_tests.sh
  * Deprecate WritableLogger - used for eventlet logging
  * Log deprecation message when catching deprecated exceptions
  * Change misleading TRACE to ERROR
  * Uncap library requirements for liberty
  * Provide an API to let tempest control the log file
  * fix pep8 errors
  * Add pypi download + version badges
  * Update to latest hacking
  * Add link to Logging Guidelines
  * move versionutils into place
  * Add liberty release name to versionutils
  * Expose opts entry point for version_utils
  * Switch from oslo.config to oslo_config
  * Remove oslo.log code and clean up versionutils API
  * Remove code that moved to oslo.i18n
  * Enhance versionutils.deprecated to work with classes
  * Add Kilo release name to versionutils
  * Allow deprecated decorator to specify no plan for removal
  * Add JUNO as a target to versionutils module
  * pep8: fixed multiple violations
  * Use oslotest instead of common test module
  * Use hacking import_exceptions for gettextutils._
  * fixed typos
  * Fix violations of H302:import only modules
  * Adds decorator to deprecate functions and methods
  * Remove vim header
  * Add `versionutils` for version compatibility checks
  * Default to True for use-syslog-rfc-format
  * Updated from global requirements
  * Restore automatic unicode conversion
  * Add migration notes
- Adjust Requires according to requirements.txt
* Wed Apr 22 2015 tbechtold@suse.com
- Add missing BuildRequires and enable testsuite
* Wed Apr 22 2015 tbechtold@suse.com
- Remove python-discover from BuildRequires. We no longer care
  about python < 2.7 versions.
* Tue Mar 10 2015 tbechtold@suse.com
- update to 1.0.0:
  * Updated from global requirements
  * Pickup instance from log format record
  * Make use_syslog=True log to syslog via /dev/log
- update Requires according to requirements.txt
* Tue Feb 24 2015 tbechtold@suse.com
- update to version 0.3.0:
  * Updated from global requirements
- Update Requires
* Thu Feb  5 2015 tbechtold@suse.com
- update to version 0.2.0:
  * Expose fixtures through oslo_log.fixture
  * Add fixture to let tests change log levels
  * Rename logging fixture module
  * Update comment to match implementation
  * fix link to bug tracker in readme
  * Updated from global requirements
- Update Requires
* Fri Jan 23 2015 tbechtold@suse.com
- Adjust Requires versions
* Fri Jan 23 2015 tbechtold@suse.com
- Initial packaging
